add Added Files:
[hdw-repos/packages.git] / demian / aumix / autoconf.patch
diff --git a/demian/aumix/autoconf.patch b/demian/aumix/autoconf.patch
new file mode 100755 (executable)
index 0000000..cdeb1b7
--- /dev/null
@@ -0,0 +1,712 @@
+diff -Nur aumix-2.7.orig/configure.in aumix-2.7/configure.in
+--- aumix-2.7.orig/configure.in        Thu Jul 13 13:33:30 2000
++++ aumix-2.7/configure.in     Sun Feb 17 16:40:41 2002
+@@ -36,7 +36,7 @@
+    [  --without-ncurses       compile with no ncurses or mouse support],
+   AC_MSG_RESULT([Compiling without ncurses support]),
+   dnl Checks for ncurses library.
+-  AC_CHECK_LIB(ncurses, initscr, initscr=on, initscr=off)
++  [AC_CHECK_LIB(ncurses, initscr, initscr=on, initscr=off)
+   if test $initscr = on; then
+     CURSLIB="ncurses"
+     LIBS="-l$CURSLIB $LIBS"
+@@ -93,7 +93,7 @@
+ #endif], aumix_cv_cons_mousectl=yes, aumix_cv_cons_mousectl=no)])
+     if test $aumix_cv_cons_mousectl = yes; then
+       AC_DEFINE(HAVE_SYSMOUSE)
+-    fi
++    fi]
+   )
+ )
+ AM_CONDITIONAL(CURSES, test "x$CURSLIB" != "x")
+diff -Nur aumix-2.7.orig/depcomp aumix-2.7/depcomp
+--- aumix-2.7.orig/depcomp     Thu Jan  1 01:00:00 1970
++++ aumix-2.7/depcomp  Sun Feb 17 16:41:03 2002
+@@ -0,0 +1,411 @@
++#! /bin/sh
++
++# depcomp - compile a program generating dependencies as side-effects
++# Copyright 1999, 2000 Free Software Foundation, Inc.
++
++# This program is free software; you can redistribute it and/or modify
++# it under the terms of the GNU General Public License as published by
++# the Free Software Foundation; either version 2, or (at your option)
++# any later version.
++
++# This program is distributed in the hope that it will be useful,
++# but WITHOUT ANY WARRANTY; without even the implied warranty of
++# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
++# GNU General Public License for more details.
++
++# You should have received a copy of the GNU General Public License
++# along with this program; if not, write to the Free Software
++# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
++# 02111-1307, USA.
++
++# As a special exception to the GNU General Public License, if you
++# distribute this file as part of a program that contains a
++# configuration script generated by Autoconf, you may include it under
++# the same distribution terms that you use for the rest of that program.
++
++# Originally written by Alexandre Oliva <oliva@dcc.unicamp.br>.
++
++if test -z "$depmode" || test -z "$source" || test -z "$object"; then
++  echo "depcomp: Variables source, object and depmode must be set" 1>&2
++  exit 1
++fi
++# `libtool' can also be set to `yes' or `no'.
++
++depfile=${depfile-`echo "$object" | sed 's,\([^/]*\)$,.deps/\1,;s/\.\([^.]*\)$/.P\1/'`}
++tmpdepfile=${tmpdepfile-`echo "$depfile" | sed 's/\.\([^.]*\)$/.T\1/'`}
++
++rm -f "$tmpdepfile"
++
++# Some modes work just like other modes, but use different flags.  We
++# parameterize here, but still list the modes in the big case below,
++# to make depend.m4 easier to write.  Note that we *cannot* use a case
++# here, because this file can only contain one case statement.
++if test "$depmode" = hp; then
++  # HP compiler uses -M and no extra arg.
++  gccflag=-M
++  depmode=gcc
++fi
++
++if test "$depmode" = dashXmstdout; then
++   # This is just like dashmstdout with a different argument.
++   dashmflag=-xM
++   depmode=dashmstdout
++fi
++
++case "$depmode" in
++gcc3)
++## gcc 3 implements dependency tracking that does exactly what
++## we want.  Yay!  Note: for some reason libtool 1.4 doesn't like
++## it if -MD -MP comes after the -MF stuff.  Hmm.
++  "$@" -MT "$object" -MD -MP -MF "$tmpdepfile"
++  stat=$?
++  if test $stat -eq 0; then :
++  else
++    rm -f "$tmpdepfile"
++    exit $stat
++  fi
++  mv "$tmpdepfile" "$depfile"
++  ;;
++
++gcc)
++## There are various ways to get dependency output from gcc.  Here's
++## why we pick this rather obscure method:
++## - Don't want to use -MD because we'd like the dependencies to end
++##   up in a subdir.  Having to rename by hand is ugly.
++##   (We might end up doing this anyway to support other compilers.)
++## - The DEPENDENCIES_OUTPUT environment variable makes gcc act like
++##   -MM, not -M (despite what the docs say).
++## - Using -M directly means running the compiler twice (even worse
++##   than renaming).
++  if test -z "$gccflag"; then
++    gccflag=-MD,
++  fi
++  "$@" -Wp,"$gccflag$tmpdepfile"
++  stat=$?
++  if test $stat -eq 0; then :
++  else
++    rm -f "$tmpdepfile"
++    exit $stat
++  fi
++  rm -f "$depfile"
++  echo "$object : \\" > "$depfile"
++  alpha=ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz
++## The second -e expression handles DOS-style file names with drive letters.
++  sed -e 's/^[^:]*: / /' \
++      -e 's/^['$alpha']:\/[^:]*: / /' < "$tmpdepfile" >> "$depfile"
++## This next piece of magic avoids the `deleted header file' problem.
++## The problem is that when a header file which appears in a .P file
++## is deleted, the dependency causes make to die (because there is
++## typically no way to rebuild the header).  We avoid this by adding
++## dummy dependencies for each header file.  Too bad gcc doesn't do
++## this for us directly.
++  tr ' ' '
++' < "$tmpdepfile" |
++## Some versions of gcc put a space before the `:'.  On the theory
++## that the space means something, we add a space to the output as
++## well.
++## Some versions of the HPUX 10.20 sed can't process this invocation
++## correctly.  Breaking it into two sed invocations is a workaround.
++    sed -e 's/^\\$//' -e '/^$/d' -e '/:$/d' | sed -e 's/$/ :/' >> "$depfile"
++  rm -f "$tmpdepfile"
++  ;;
++
++hp)
++  # This case exists only to let depend.m4 do its work.  It works by
++  # looking at the text of this script.  This case will never be run,
++  # since it is checked for above.
++  exit 1
++  ;;
++
++sgi)
++  if test "$libtool" = yes; then
++    "$@" "-Wp,-MDupdate,$tmpdepfile"
++  else
++    "$@" -MDupdate "$tmpdepfile"
++  fi
++  stat=$?
++  if test $stat -eq 0; then :
++  else
++    rm -f "$tmpdepfile"
++    exit $stat
++  fi
++  rm -f "$depfile"
++
++  if test -f "$tmpdepfile"; then  # yes, the sourcefile depend on other files
++    echo "$object : \\" > "$depfile"
++
++    # Clip off the initial element (the dependent).  Don't try to be
++    # clever and replace this with sed code, as IRIX sed won't handle
++    # lines with more than a fixed number of characters (4096 in
++    # IRIX 6.2 sed, 8192 in IRIX 6.5).  We also remove comment lines;
++    # the IRIX cc adds comments like `#:fec' to the end of the
++    # dependency line.
++    tr ' ' '
++' < "$tmpdepfile" \
++    | sed -e 's/^.*\.o://' -e 's/#.*$//' -e '/^$/ d' | \
++    tr '
++' ' ' >> $depfile
++    echo >> $depfile
++
++    # The second pass generates a dummy entry for each header file.
++    tr ' ' '
++' < "$tmpdepfile" \
++   | sed -e 's/^.*\.o://' -e 's/#.*$//' -e '/^$/ d' -e 's/$/:/' \
++   >> $depfile
++  else
++    # The sourcefile does not contain any dependencies, so just
++    # store a dummy comment line, to avoid errors with the Makefile
++    # "include basename.Plo" scheme.
++    echo "#dummy" > "$depfile"
++  fi
++  rm -f "$tmpdepfile"
++  ;;
++
++aix)
++  # The C for AIX Compiler uses -M and outputs the dependencies
++  # in a .u file.  This file always lives in the current directory.
++  # Also, the AIX compiler puts `$object:' at the start of each line;
++  # $object doesn't have directory information.
++  stripped=`echo "$object" | sed -e 's,^.*/,,' -e 's/\(.*\)\..*$/\1/'`
++  tmpdepfile="$stripped.u"
++  outname="$stripped.o"
++  if test "$libtool" = yes; then
++    "$@" -Wc,-M
++  else
++    "$@" -M
++  fi
++
++  stat=$?
++  if test $stat -eq 0; then :
++  else
++    rm -f "$tmpdepfile"
++    exit $stat
++  fi
++
++  if test -f "$tmpdepfile"; then
++    # Each line is of the form `foo.o: dependent.h'.
++    # Do two passes, one to just change these to
++    # `$object: dependent.h' and one to simply `dependent.h:'.
++    sed -e "s,^$outname:,$object :," < "$tmpdepfile" > "$depfile"
++    sed -e "s,^$outname: \(.*\)$,\1:," < "$tmpdepfile" >> "$depfile"
++  else
++    # The sourcefile does not contain any dependencies, so just
++    # store a dummy comment line, to avoid errors with the Makefile
++    # "include basename.Plo" scheme.
++    echo "#dummy" > "$depfile"
++  fi
++  rm -f "$tmpdepfile"
++  ;;
++
++tru64)
++   # The Tru64 AIX compiler uses -MD to generate dependencies as a side
++   # effect.  `cc -MD -o foo.o ...' puts the dependencies into `foo.o.d'.
++   # At least on Alpha/Redhat 6.1, Compaq CCC V6.2-504 seems to put 
++   # dependencies in `foo.d' instead, so we check for that too.
++   # Subdirectories are respected.
++
++   tmpdepfile1="$object.d"
++   tmpdepfile2=`echo "$object" | sed -e 's/.o$/.d/'` 
++   if test "$libtool" = yes; then
++      "$@" -Wc,-MD
++   else
++      "$@" -MD
++   fi
++
++   stat=$?
++   if test $stat -eq 0; then :
++   else
++      rm -f "$tmpdepfile1" "$tmpdepfile2"
++      exit $stat
++   fi
++
++   if test -f "$tmpdepfile1"; then
++      tmpdepfile="$tmpdepfile1"
++   else
++      tmpdepfile="$tmpdepfile2"
++   fi
++   if test -f "$tmpdepfile"; then
++      sed -e "s,^.*\.[a-z]*:,$object:," < "$tmpdepfile" > "$depfile"
++      # That's a space and a tab in the [].
++      sed -e 's,^.*\.[a-z]*:[         ]*,,' -e 's,$,:,' < "$tmpdepfile" >> "$depfile"
++   else
++      echo "#dummy" > "$depfile"
++   fi
++   rm -f "$tmpdepfile"
++   ;;
++
++#nosideeffect)
++  # This comment above is used by automake to tell side-effect
++  # dependency tracking mechanisms from slower ones.
++
++dashmstdout)
++  # Important note: in order to support this mode, a compiler *must*
++  # always write the proprocessed file to stdout, regardless of -o,
++  # because we must use -o when running libtool.
++  test -z "$dashmflag" && dashmflag=-M
++  ( IFS=" "
++    case " $* " in
++    *" --mode=compile "*) # this is libtool, let us make it quiet
++      for arg
++      do # cycle over the arguments
++        case "$arg" in
++      "--mode=compile")
++        # insert --quiet before "--mode=compile"
++        set fnord "$@" --quiet
++        shift # fnord
++        ;;
++      esac
++      set fnord "$@" "$arg"
++      shift # fnord
++      shift # "$arg"
++      done
++      ;;
++    esac
++    "$@" $dashmflag | sed 's:^[^:]*\:[        ]*:'"$object"'\: :' > "$tmpdepfile"
++  ) &
++  proc=$!
++  "$@"
++  stat=$?
++  wait "$proc"
++  if test "$stat" != 0; then exit $stat; fi
++  rm -f "$depfile"
++  cat < "$tmpdepfile" > "$depfile"
++  tr ' ' '
++' < "$tmpdepfile" | \
++## Some versions of the HPUX 10.20 sed can't process this invocation
++## correctly.  Breaking it into two sed invocations is a workaround.
++    sed -e 's/^\\$//' -e '/^$/d' -e '/:$/d' | sed -e 's/$/ :/' >> "$depfile"
++  rm -f "$tmpdepfile"
++  ;;
++
++dashXmstdout)
++  # This case only exists to satisfy depend.m4.  It is never actually
++  # run, as this mode is specially recognized in the preamble.
++  exit 1
++  ;;
++
++makedepend)
++  # X makedepend
++  (
++    shift
++    cleared=no
++    for arg in "$@"; do
++      case $cleared in no)
++        set ""; shift
++      cleared=yes
++      esac
++      case "$arg" in
++        -D*|-I*)
++        set fnord "$@" "$arg"; shift;;
++      -*)
++        ;;
++      *)
++        set fnord "$@" "$arg"; shift;;
++      esac
++    done
++    obj_suffix="`echo $object | sed 's/^.*\././'`"
++    touch "$tmpdepfile"
++    ${MAKEDEPEND-makedepend} 2>/dev/null -o"$obj_suffix" -f"$tmpdepfile" "$@"
++  ) &
++  proc=$!
++  "$@"
++  stat=$?
++  wait "$proc"
++  if test "$stat" != 0; then exit $stat; fi
++  rm -f "$depfile"
++  cat < "$tmpdepfile" > "$depfile"
++  tail +3 "$tmpdepfile" | tr ' ' '
++' | \
++## Some versions of the HPUX 10.20 sed can't process this invocation
++## correctly.  Breaking it into two sed invocations is a workaround.
++    sed -e 's/^\\$//' -e '/^$/d' -e '/:$/d' | sed -e 's/$/ :/' >> "$depfile"
++  rm -f "$tmpdepfile" "$tmpdepfile".bak
++  ;;
++
++cpp)
++  # Important note: in order to support this mode, a compiler *must*
++  # always write the proprocessed file to stdout, regardless of -o,
++  # because we must use -o when running libtool.
++  ( IFS=" "
++    case " $* " in
++    *" --mode=compile "*)
++      for arg
++      do # cycle over the arguments
++        case $arg in
++      "--mode=compile")
++        # insert --quiet before "--mode=compile"
++        set fnord "$@" --quiet
++        shift # fnord
++        ;;
++      esac
++      set fnord "$@" "$arg"
++      shift # fnord
++      shift # "$arg"
++      done
++      ;;
++    esac
++    "$@" -E |
++    sed -n '/^# [0-9][0-9]* "\([^"]*\)".*/ s:: \1 \\:p' |
++    sed '$ s: \\$::' > "$tmpdepfile"
++  ) &
++  proc=$!
++  "$@"
++  stat=$?
++  wait "$proc"
++  if test "$stat" != 0; then exit $stat; fi
++  rm -f "$depfile"
++  echo "$object : \\" > "$depfile"
++  cat < "$tmpdepfile" >> "$depfile"
++  sed < "$tmpdepfile" '/^$/d;s/^ //;s/ \\$//;s/$/ :/' >> "$depfile"
++  rm -f "$tmpdepfile"
++  ;;
++
++msvisualcpp)
++  # Important note: in order to support this mode, a compiler *must*
++  # always write the proprocessed file to stdout, regardless of -o,
++  # because we must use -o when running libtool.
++  ( IFS=" "
++    case " $* " in
++    *" --mode=compile "*)
++      for arg
++      do # cycle over the arguments
++        case $arg in
++      "--mode=compile")
++        # insert --quiet before "--mode=compile"
++        set fnord "$@" --quiet
++        shift # fnord
++        ;;
++      esac
++      set fnord "$@" "$arg"
++      shift # fnord
++      shift # "$arg"
++      done
++      ;;
++    esac
++    "$@" -E |
++    sed -n '/^#line [0-9][0-9]* "\([^"]*\)"/ s::echo "`cygpath -u \\"\1\\"`":p' | sort | uniq > "$tmpdepfile"
++  ) &
++  proc=$!
++  "$@"
++  stat=$?
++  wait "$proc"
++  if test "$stat" != 0; then exit $stat; fi
++  rm -f "$depfile"
++  echo "$object : \\" > "$depfile"
++  . "$tmpdepfile" | sed 's% %\\ %g' | sed -n '/^\(.*\)$/ s::  \1 \\:p' >> "$depfile"
++  echo "      " >> "$depfile"
++  . "$tmpdepfile" | sed 's% %\\ %g' | sed -n '/^\(.*\)$/ s::\1\::p' >> "$depfile"
++  rm -f "$tmpdepfile"
++  ;;
++
++none)
++  exec "$@"
++  ;;
++
++*)
++  echo "Unknown depmode $depmode" 1>&2
++  exit 1
++  ;;
++esac
++
++exit 0
+diff -Nur aumix-2.7.orig/missing aumix-2.7/missing
+--- aumix-2.7.orig/missing     Sun May 25 18:17:15 1997
++++ aumix-2.7/missing  Sun Feb 17 16:40:59 2002
+@@ -1,7 +1,7 @@
+ #! /bin/sh
+ # Common stub for a few missing GNU programs while installing.
+-# Copyright (C) 1996, 1997 Free Software Foundation, Inc.
+-# Franc,ois Pinard <pinard@iro.umontreal.ca>, 1996.
++# Copyright 1996, 1997, 1999, 2000 Free Software Foundation, Inc.
++# Originally by Fran,cois Pinard <pinard@iro.umontreal.ca>, 1996.
+ # This program is free software; you can redistribute it and/or modify
+ # it under the terms of the GNU General Public License as published by
+@@ -18,11 +18,37 @@
+ # Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
+ # 02111-1307, USA.
++# As a special exception to the GNU General Public License, if you
++# distribute this file as part of a program that contains a
++# configuration script generated by Autoconf, you may include it under
++# the same distribution terms that you use for the rest of that program.
++
+ if test $# -eq 0; then
+   echo 1>&2 "Try \`$0 --help' for more information"
+   exit 1
+ fi
++run=:
++
++# In the cases where this matters, `missing' is being run in the
++# srcdir already.
++if test -f configure.ac; then
++  configure_ac=configure.ac
++else
++  configure_ac=configure.in
++fi
++
++case "$1" in
++--run)
++  # Try to run requested program, and just exit if it succeeds.
++  run=
++  shift
++  "$@" && exit 0
++  ;;
++esac
++
++# If it does not exist, or fails to run (possibly an outdated version),
++# try to emulate it.
+ case "$1" in
+   -h|--h|--he|--hel|--help)
+@@ -35,19 +61,24 @@
+ Options:
+   -h, --help      display this help and exit
+   -v, --version   output version information and exit
++  --run           try to run the given command, and emulate it if it fails
+ Supported PROGRAM values:
+   aclocal      touch file \`aclocal.m4'
+   autoconf     touch file \`configure'
+   autoheader   touch file \`config.h.in'
+   automake     touch all \`Makefile.in' files
+-  bison        touch file \`y.tab.c'
++  bison        create \`y.tab.[ch]', if possible, from existing .[ch]
++  flex         create \`lex.yy.c', if possible, from existing .c
++  help2man     touch the output file
++  lex          create \`lex.yy.c', if possible, from existing .c
+   makeinfo     touch the output file
+-  yacc         touch file \`y.tab.c'"
++  tar          try tar, gnutar, gtar, then tar without non-portable flags
++  yacc         create \`y.tab.[ch]', if possible, from existing .[ch]"
+     ;;
+   -v|--v|--ve|--ver|--vers|--versi|--versio|--version)
+-    echo "missing - GNU libit 0.0"
++    echo "missing 0.3 - GNU automake"
+     ;;
+   -*)
+@@ -58,8 +89,8 @@
+   aclocal)
+     echo 1>&2 "\
+-WARNING: \`$1' is missing on your system.  It should be needed only if
+-         you modified \`acinclude.m4' or \`configure.in'.  You might want
++WARNING: \`$1' is missing on your system.  You should only need it if
++         you modified \`acinclude.m4' or \`${configure_ac}'.  You might want
+          to install the \`Automake' and \`Perl' packages.  Grab them from
+          any GNU archive site."
+     touch aclocal.m4
+@@ -67,8 +98,8 @@
+   autoconf)
+     echo 1>&2 "\
+-WARNING: \`$1' is missing on your system.  It should be needed only if
+-         you modified \`configure.in'.  You might want to install the
++WARNING: \`$1' is missing on your system.  You should only need it if
++         you modified \`${configure_ac}'.  You might want to install the
+          \`Autoconf' and \`GNU m4' packages.  Grab them from any GNU
+          archive site."
+     touch configure
+@@ -76,36 +107,115 @@
+   autoheader)
+     echo 1>&2 "\
+-WARNING: \`$1' is missing on your system.  It should be needed only if
+-         you modified \`acconfig.h' or \`configure.in'.  You might want
++WARNING: \`$1' is missing on your system.  You should only need it if
++         you modified \`acconfig.h' or \`${configure_ac}'.  You might want
+          to install the \`Autoconf' and \`GNU m4' packages.  Grab them
+          from any GNU archive site."
+-    touch config.h.in
++    files=`sed -n 's/^[ ]*A[CM]_CONFIG_HEADER(\([^)]*\)).*/\1/p' ${configure_ac}`
++    test -z "$files" && files="config.h"
++    touch_files=
++    for f in $files; do
++      case "$f" in
++      *:*) touch_files="$touch_files "`echo "$f" |
++                                     sed -e 's/^[^:]*://' -e 's/:.*//'`;;
++      *) touch_files="$touch_files $f.in";;
++      esac
++    done
++    touch $touch_files
+     ;;
+   automake)
+     echo 1>&2 "\
+-WARNING: \`$1' is missing on your system.  It should be needed only if
+-         you modified \`Makefile.am', \`acinclude.m4' or \`configure.in'.
++WARNING: \`$1' is missing on your system.  You should only need it if
++         you modified \`Makefile.am', \`acinclude.m4' or \`${configure_ac}'.
+          You might want to install the \`Automake' and \`Perl' packages.
+          Grab them from any GNU archive site."
+-    find . -type f -name Makefile.am -print \
+-      | sed 's/^\(.*\).am$/touch \1.in/' \
+-      | sh
++    find . -type f -name Makefile.am -print |
++         sed 's/\.am$/.in/' |
++         while read f; do touch "$f"; done
+     ;;
+   bison|yacc)
+     echo 1>&2 "\
+ WARNING: \`$1' is missing on your system.  You should only need it if
+-      you modified a \`.y' file.  You may need the \`Bison' package
+-      in order for those modifications to take effect.  You can get
+-      \`Bison' from any GNU archive site."
+-    touch y.tab.c
++         you modified a \`.y' file.  You may need the \`Bison' package
++         in order for those modifications to take effect.  You can get
++         \`Bison' from any GNU archive site."
++    rm -f y.tab.c y.tab.h
++    if [ $# -ne 1 ]; then
++        eval LASTARG="\${$#}"
++      case "$LASTARG" in
++      *.y)
++          SRCFILE=`echo "$LASTARG" | sed 's/y$/c/'`
++          if [ -f "$SRCFILE" ]; then
++               cp "$SRCFILE" y.tab.c
++          fi
++          SRCFILE=`echo "$LASTARG" | sed 's/y$/h/'`
++          if [ -f "$SRCFILE" ]; then
++               cp "$SRCFILE" y.tab.h
++          fi
++        ;;
++      esac
++    fi
++    if [ ! -f y.tab.h ]; then
++      echo >y.tab.h
++    fi
++    if [ ! -f y.tab.c ]; then
++      echo 'main() { return 0; }' >y.tab.c
++    fi
++    ;;
++
++  lex|flex)
++    echo 1>&2 "\
++WARNING: \`$1' is missing on your system.  You should only need it if
++         you modified a \`.l' file.  You may need the \`Flex' package
++         in order for those modifications to take effect.  You can get
++         \`Flex' from any GNU archive site."
++    rm -f lex.yy.c
++    if [ $# -ne 1 ]; then
++        eval LASTARG="\${$#}"
++      case "$LASTARG" in
++      *.l)
++          SRCFILE=`echo "$LASTARG" | sed 's/l$/c/'`
++          if [ -f "$SRCFILE" ]; then
++               cp "$SRCFILE" lex.yy.c
++          fi
++        ;;
++      esac
++    fi
++    if [ ! -f lex.yy.c ]; then
++      echo 'main() { return 0; }' >lex.yy.c
++    fi
++    ;;
++
++  help2man)
++    echo 1>&2 "\
++WARNING: \`$1' is missing on your system.  You should only need it if
++       you modified a dependency of a manual page.  You may need the
++       \`Help2man' package in order for those modifications to take
++       effect.  You can get \`Help2man' from any GNU archive site."
++
++    file=`echo "$*" | sed -n 's/.*-o \([^ ]*\).*/\1/p'`
++    if test -z "$file"; then
++      file=`echo "$*" | sed -n 's/.*--output=\([^ ]*\).*/\1/p'`
++    fi
++    if [ -f "$file" ]; then
++      touch $file
++    else
++      test -z "$file" || exec >$file
++      echo ".ab help2man is required to generate this page"
++      exit 1
++    fi
+     ;;
+   makeinfo)
++    if test -z "$run" && (makeinfo --version) > /dev/null 2>&1; then
++       # We have makeinfo, but it failed.
++       exit 1
++    fi
++
+     echo 1>&2 "\
+-WARNING: \`$1' is missing on your system.  It should be needed only if
++WARNING: \`$1' is missing on your system.  You should only need it if
+          you modified a \`.texi' or \`.texinfo' file, or any other file
+          indirectly affecting the aspect of the manual.  The spurious
+          call might also be the consequence of using a buggy \`make' (AIX,
+@@ -117,6 +227,45 @@
+       file=`sed -n '/^@setfilename/ { s/.* \([^ ]*\) *$/\1/; p; q; }' $file`
+     fi
+     touch $file
++    ;;
++
++  tar)
++    shift
++    if test -n "$run"; then
++      echo 1>&2 "ERROR: \`tar' requires --run"
++      exit 1
++    fi
++
++    # We have already tried tar in the generic part.
++    # Look for gnutar/gtar before invocation to avoid ugly error
++    # messages.
++    if (gnutar --version > /dev/null 2>&1); then
++       gnutar ${1+"$@"} && exit 0
++    fi
++    if (gtar --version > /dev/null 2>&1); then
++       gtar ${1+"$@"} && exit 0
++    fi
++    firstarg="$1"
++    if shift; then
++      case "$firstarg" in
++      *o*)
++          firstarg=`echo "$firstarg" | sed s/o//`
++          tar "$firstarg" ${1+"$@"} && exit 0
++          ;;
++      esac
++      case "$firstarg" in
++      *h*)
++          firstarg=`echo "$firstarg" | sed s/h//`
++          tar "$firstarg" ${1+"$@"} && exit 0
++          ;;
++      esac
++    fi
++
++    echo 1>&2 "\
++WARNING: I can't seem to be able to run \`tar' with the given arguments.
++         You may want to install GNU tar or Free paxutils, or check the
++         command line arguments."
++    exit 1
+     ;;
+   *)